struct conn_t
{
  int status; 
  u_int32_t client_ip; /* ip address of client */
  u_int32_t server_ip; /* ip address of server */
  u_int32_t client_seq;
  u_int32_t server_seq;
  u_int16_t client_port;
  u_int16_t server_port;
  u_int32_t client_seq_off;
  u_int32_t server_seq_off;
  int server_packets_num;
  int client_data_size; /* size of all data transmitted from client*/
  int server_data_size; /* size of all data transmitted from server*/
  FILE *client_file;
  FILE *server_file;
  char *client_filename;
  char *server_filename;
  FILE *both_file;
  int closer; /* when a connection is int open state this must be set to 0
		 when the client has sent the closing FIN, then closer=1
		 when it is the server closer=2
	      */
  int file_opened;
  int conn_number; /* the number of this connection (useful for 
		   calculate the color tracked)
		   */
  struct conn_t * next_conn;
		   
};

typedef enum {CLIENT,SERVER} Part;
  struct ip * ip_last_header;
  struct tcphdr * tcp_last_header;
