/* 
 * Copyright (C) 2003, 2004 Francesco Stablum (DuskDruid)
 * <duskdruid _at_ inventati _dot_ org> 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111,
 * USA.
 */

/* this code has been provided by ShackaN
   thank you very much :) */

#include "myheaders.h"

extern struct flags_t flags;

void dprintf( char *fmt, ... )
 {
     va_list         list;
     if(flags.debug)
       {
	 printf("debug: ");
	 va_start( list, fmt );
	 vprintf(fmt, list);
	 va_end( list );
	 printf("\n");
       }
}

void print_conn_chain(struct conn_t * conn)
{
  while(conn!=NULL)
    {
      dprintf("conn: %x",conn);
      conn=conn->next_conn;
    }
}
